# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    for soft in installed_softwares("mumble"):
        if Version(soft["version"]) < Version(control.version.split("-")[0]):
            print("Remove %s %s" % (soft["name"], soft["version"]))
            run(uninstall_cmd(soft["key"]))

    install_msi_if_needed(glob.glob("*.msi")[0])


def session_setup():
    print("Disabling: update check, telemetry, overlay")
    registry_set(HKEY_CURRENT_USER, r"Software\Mumble\Mumble\ui", "updatecheck", "false")
    registry_set(HKEY_CURRENT_USER, r"Software\Mumble\Mumble\ui", "usage", "false")
    registry_set(HKEY_CURRENT_USER, r"Software\Mumble\Mumble\ui", "plugincheck", "false")
    registry_set(HKEY_CURRENT_USER, r"Software\Mumble\Mumble\overlay", "enable", "false")
    registry_set(HKEY_CURRENT_USER, r"Software\Mumble\Mumble\privacy", "hideos", "true")

    registry_set(HKEY_CURRENT_USER, r"Software\Mumble\Mumble\audio", "mutecue", "false")
